Aktuelle Version:

![alt text1][syntax]

[Syntax]: syntax/NewActivityDiagram.PNG "Bla"


# Anforderungen an den Turtlebot

## allgemeine Annahmen
1. Die Straße ist eine gerade, ebene unendlich lange Straße mit (erstmal) konstanter Reibungszahl. 
2. der Bot befindet sich allein auf der Straße. 
    2.1 dies bedeutet insbesondere, dass es keine Kenntnis darüber erlangen kann(muss), was hinter dem Bot passiert. Wir betrachten also zu jedem Zeitpunkt das Geschehen vor dem Bot.
3. Der Bot kann nur beschleunigen und abbremsen.
4. Es besteht zudem Wissen über die Maße des Bot (Höhe, Breite, ggf. Abstand der Karosserie zum Boden) 
5. Es besteht Wissen über die Geschwindigkeit des Bots. 
6. Es wird ein rechtzeitiges Bremsen vorausgesetzt. Rechtzeitig ist unter Bremsmanöver definiert und bedeutet, dass der Bot vor dem Objekt zum Stillstand kommt, ohne mit ihm zu kollidieren.
7. Der Bot kann über ein Lidar, ein Radar und/oder eine Kamera verfügen. 
    * 7.1 Ein Bot ohne Lidar und ohne Radar und ohne Kamera bremst nicht und kollidiert mit Objekten, die sich in der Trajektorie des Bots befinden.
    * 7.2 Ein Bot ohne Lidar, ohne Radar aber mit Kamera bremst nicht und kollidiert mit Objekten, die sich in der Trajektorie des Bots befinden.
    * 7.3. Ein Bot ohne Lidar, ohne Kamera aber mit Radar erkennt bewegliche und unbewegliche Objekte, bremst und kollidiert nicht mit Objekten (kann sie aber auch nicht klassifizieren), die sich in der Trajektorie des Bots befinden.
    * 7.4 Ein Bot ohne Lidar, aber mit Kamera und Radar erkennt bewegliche/unbewegliche Objekte und ist in der Lage die Art des Objektes zu klassifizieren. 
    * 7.5 Ein Bot mit Lidar, aber ohne Radar und ohne Kamera erkennt unbewegliche Objekte, kann sie nicht klassifizieren, bremst und kollidiert nicht mit ihnen. 
    * 7.6 Ein Bot mit Lidar, ohne Radar aber mit Kamera erkennt unbewegliche Objekte, kann sie klassifizieren, bremst und kollidiert nicht mit ihnen.
    * 7.7 Ein Bot mit Lidar, mit Radar aber ohne Kamera erkennt sowohl bewegliche als auch unbewegliche Objekte und kollidiert nicht mit ihnen. Es kann keine Klassifikation erfolgen.
    * 7.8 Ein Bot mit Lidar, mit Radar, mit Kamera erkennt sowohl bewegliche als auch unbewegliche Objekte, kann sie klassifiizeren und kollidiert nicht mit ihnen. 
8. Es gibt nur unbewegte Objekte, d.h. unter anderem, dass eine nachträgliche Kollision nicht möglich ist. 
9. Ein Objekt gilt als Hindernis, wenn es sich in der Fahrbahn des Bots befindet.
10. Es wird der Abstand zum Objekt beim Halt des Bots gemessen. 

---

## Bremsmanöver

* Alle Bremsmanöver sind abhängig von 1.-10.
* Ein Test gilt als erfolgreich/bestanden, wenn der Bot vor dem unbeweglichen Objekt zum Stehen kommt und zum Zeitpunkt des Stillstandes nicht mit diesem kollidiert ist mit einem Sicherheitsabstand von 0,5m.
* Ein Test gilt als nicht erfolgreich/durchgefallen, wenn der Bot nicht vor dem Objekt zum Stillstand kommt und mit dem Objekt kollidiert oder der Abstand zum Objekt <0,5 m. 

---

### Bremsmanöver an unbeweglichen Objekten

* Abhängigkeiten: 7.1, 7.2, 7.3, 7.4, 7.5, 7.6, 7.7, 7.8

# Konkrete Szenarien 
    
1. Unbewegtes Objekt(Hindernis):
    * der Bot bewegt sich auf der Karte mit dem Richtungsvektor (1,0)
    * der Bot startet bei den Koordinaten (-10,0)
    * ein Zylinder mit den Maßen (r=0,1m, h=1m) steht auf den Koordinaten (0,0)
    * der Bot fährt mit konstanter Geschwindigkeit 0,1 m/s
    * und besitzt Radar
    * Erwartung: der Bot kommt zum Stillstand mindestens 1 m vor dem Zylinder

2. Unbewegtes Objekt(Hindernis):
    * der Bot bewegt sich auf der Karte mit dem Richtungsvektor (1,0)
    * der Bot startet bei den Koordinaten (-10,0)
    * eine Box mit den Maßen (a=b=c=0,1m) steht auf den Koordinaten (0,0)
    * der Bot fährt mit konstanter Geschwindigkeit 0,1 m/s
    * und besitzt Radar
    * Erwartung: der Bot kommt zum Stillstand mindestens 1 m vor der Box

3. Unbewegtes Objekt(Hindernis):
    * der Bot bewegt sich auf der Karte mit dem Richtungsvektor (1,0)
    * der Bot startet bei den Koordinaten (-10,0)
    * ein Zylinder mit den Maßen (r=1m, h=0,1m) steht auf den Koordinaten (0,0)
    * der Bot fährt mit konstanter Geschwindigkeit 0,1 m/s
    * und besitzt Radar
    * Erwartung: der Bot kommt zum Stillstand mindestens 1 m vor dem Zylinder

4. Unbewegtes Objekt(Hindernis):
    * der Bot bewegt sich auf der Karte mit dem Richtungsvektor (1,0)
    * der Bot startet bei den Koordinaten (-10,0)
    * eine Box mit den Maßen (a=b=1m, c=0,1m) steht auf den Koordinaten (0,0)
    * der Bot fährt mit konstanter Geschwindigkeit 0,1 m/s
    * und besitzt Radar
    * Erwartung: der Bot kommt zum Stillstand mindestens 1 m vor der Box

5. Unbewegtes Objekt(Hindernis):
    * der Bot bewegt sich auf der Karte mit dem Richtungsvektor (1,0)
    * der Bot startet bei den Koordinaten (-10,0)
    * ein Zylinder mit den Maßen (r=0,1m, h=1m) steht auf den Koordinaten (0,0)
    * der Bot fährt mit konstanter Geschwindigkeit 0,2 m/s
    * und besitzt Radar
    * Erwartung: der Bot kommt zum Stillstand mindestens 1 m vor dem Zylinder

6. Unbewegtes Objekt(Hindernis):
    * der Bot bewegt sich auf der Karte mit dem Richtungsvektor (1,0)
    * der Bot startet bei den Koordinaten (-10,0)
    * eine Box mit den Maßen (a=b=c=0,1m) steht auf den Koordinaten (0,0)
    * der Bot fährt mit konstanter Geschwindigkeit 0,2 m/s
    * und besitzt Radar
    * Erwartung: der Bot kommt zum Stillstand mindestens 1 m vor der Box

7. Unbewegtes Objekt(Hindernis):
    * der Bot bewegt sich auf der Karte mit dem Richtungsvektor (1,0)
    * der Bot startet bei den Koordinaten (-10,0)
    * ein Zylinder mit den Maßen (r=1m, h=0,1m) steht auf den Koordinaten (0,0)
    * der Bot fährt mit konstanter Geschwindigkeit 0,2 m/s
    * und besitzt Radar
    * Erwartung: der Bot kommt zum Stillstand mindestens 1 m vor dem Zylinder

8. Unbewegtes Objekt(Hindernis):
    * der Bot bewegt sich auf der Karte mit dem Richtungsvektor (1,0)
    * der Bot startet bei den Koordinaten (-10,0)
    * eine Box mit den Maßen (a=b=1m, c=0,1m) steht auf den Koordinaten (0,0)
    * der Bot fährt mit konstanter Geschwindigkeit 0,2 m/s
    * und besitzt Radar
    * Erwartung: der Bot kommt zum Stillstand mindestens 1 m vor der Box

9. Unbewegtes Objekt(Hindernis):
    * der Bot bewegt sich auf der Karte mit dem Richtungsvektor (1,0)
    * der Bot startet bei den Koordinaten (-10,0)
    * ein Zylinder mit den Maßen (r=0,1m, h=1m) steht auf den Koordinaten (0,0)
    * der Bot fährt mit konstanter Geschwindigkeit 0,1 m/s
    * und besitzt kein Radar
    * Erwartung: der Bot kollidiert mit dem Zylinder

10. Unbewegtes Objekt(kein Hindernis):
    * der Bot bewegt sich auf der Karte mit dem Richtungsvektor (1,0)
    * der Bot startet bei den Koordinaten (-10,0)
    * ein Zylinder mit den Maßen (r=0,1m, h=1m) steht auf den Koordinaten (0,5)
    * der Bot fährt mit konstanter Geschwindigkeit 0,1 m/s
    * und besitzt Radar
    * Erwartung: der Bot fährt an dem Zylinder vorbei


